Bug 217518 - Remembers auto-selected model when other device chosen
Remembers auto-selected model when other device chosen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update 217522
  Show dependency treegraph
 
Reported: 2006-11-28 07:52 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.45-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-05 18:55:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-28 07:52:18 EST
Description of problem:
In the new printer dialog, an auto-discovered make and model selection is
pre-filled in the make/model lists when discovered.  But when choosing a device
that cannot be discovered in this way, the selection is left alone.  It should
be de-selected.

Version-Release number of selected component (if applicable):
0.7.40-1

How reproducible:
100%

Steps to Reproduce:
1.Click New Printer
2.Click Forward
3.Select a USB printer known to CUPS/foomatic
4.Select 'LPT #1' or 'Other' etc
5.Click Forward

Actual results:
'HP' selected (if USB printer is an HP printer).

Expected results:
'Generic' selected.

Fix is:
--- system-config-printer.py    28 Nov 2006 12:34:15 -0000      1.131
+++ system-config-printer.py    28 Nov 2006 12:45:32 -0000
@@ -2052,5 +2052,5 @@
             if printer:
                 self.auto_make, self.auto_model = printer.make, printer.model
-                self.fillMakeList()
+        self.fillMakeList()
 
     def on_btnNPTLpdProbe_clicked(self, button):
Comment 1 Tim Waugh 2006-12-08 09:15:32 EST
Fixed in 0.7.41-1.fc6.
Comment 2 Fedora Update System 2007-01-05 13:20:42 EST
Fixed in update: system-config-printer-0.7.45-1.fc6

Note You need to log in before you can comment on or make changes to this bug.